Bug 1134541 - lm_sensors does not detect NCT6791D (fixed in lm_sensors 3.3.5)
Summary: lm_sensors does not detect NCT6791D (fixed in lm_sensors 3.3.5)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: lm_sensors
Version: 19
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-27 17:55 UTC by CJ Kucera
Modified: 2016-02-01 02:00 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 11:49:27 UTC
Type: Bug


Attachments (Terms of Use)

Description CJ Kucera 2014-08-27 17:55:31 UTC
Description of problem:

lm_sensors does not detect "Nuvoton NCT6791D Super IO Sensors" in the versions supplied by F19 and F20.  Functionality for this chipset was added in lm_sensors 3.3.5.  I just ran into this problem on my ASUS A88X-PRO mainboard, though it sounds like the chipset's present in more than just that one.

Version-Release number of selected component (if applicable):

F19's 3.3.3 doesn't have support (nor would F20's 3.3.4).  lm_sensors 3.3.5 fixes the problem.

How reproducible:

sensors-detect on a mainboard with an NCT6791D chip.

Steps to Reproduce:
1. sensors-detect

Actual results:

Found unknown chip with ID 0xc803
    (logical device B has address 0x290, could be sensors)

Expected results:

Found `Nuvoton NCT6791D Super IO Sensors'                   Success!
    (address 0x290, driver `nct6775')

Additional info:

The lm_sensors mailing list thread where this change is discussed: http://lists.lm-sensors.org/pipermail/lm-sensors/2013-July/039180.html

And the actual commit at their repo: http://lm-sensors.org/changeset/6188

Comment 1 bircoe 2014-11-16 06:54:28 UTC
On Fedora 20 manually updating to lm_sensors-3.3.5-5 using the below RPM's resolves the NCT6791D not detecting, sensors now displays all the sensors from the motherboard and allows PWM fan control.

lm_sensors-3.3.5-5.fc22.x86_64.rpm
lm_sensors-sensord-3.3.5-5.fc22.x86_64.rpm

Comment 2 Fedora End Of Life 2015-01-09 21:29:58 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-02-18 11:49:27 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.